org.sonatype.maven.polyglot.groovy.builder.factory

## Class ModelFactory

- java.lang.Object
- - groovy.util.AbstractFactory
  - - org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory
    - - org.sonatype.maven.polyglot.groovy.builder.factory.ModelFactory

All Implemented Interfaces:
  groovy.util.Factory

    public class ModelFactory
    extends NamedFactory

Builds `Model` elements and handles registration of any `ExecuteTask`s.

Since:
  0.7
Author:
  Jason Dillon

### Nested Class Summary

### Nested classes/interfaces inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`NamedFactory.NodeValueParseException`

### Constructor Summary

Constructors
Constructor and Description
`ModelFactory()`

### Method Summary

Methods
`java.lang.Object` `newInstance(groovy.util.FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attrs)`
`void` `onNodeCompleted(groovy.util.FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)`

### Methods inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`getName, setParent, toString`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, setChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelFactory

    public ModelFactory()

### Method Detail

#### newInstance

    public java.lang.Object newInstance(groovy.util.FactoryBuilderSupport builder,
                               java.lang.Object name,
                               java.lang.Object value,
                               java.util.Map attrs)
                                 throws java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`

#### onNodeCompleted

    public void onNodeCompleted(groovy.util.FactoryBuilderSupport builder,
                       java.lang.Object parent,
                       java.lang.Object node)

Specified by:
  `onNodeCompleted` in interface `groovy.util.Factory`
Overrides:
  `onNodeCompleted` in class `groovy.util.AbstractFactory`